#!/bin/bash
set -uoE pipefail

export MODIFIED_PDBS_FILE=${MODIFIED_PDBS_FILE:-/tmp/modified_pdbs.txt}

while IFS= read -r pdb_line; do
  ns="${pdb_line%%/*}"
  name="${pdb_line##*/}"
  
  echo "Reverting patch on PDB: $name in namespace: $ns"
  kubectl patch pdb "$name" -n "$ns" --type='merge' -p '{"spec":{"maxUnavailable":0}}'
done < "$MODIFIED_PDBS_FILE"

if [[ -f "$MODIFIED_PDBS_FILE" ]]; then
  rm "$MODIFIED_PDBS_FILE"
  echo "Deleting $MODIFIED_PDBS_FILE"
fi